## GnomeDbDataWidgetFilter

GnomeDbDataWidgetFilter — Display and edit filtering options

##

# Synopsis

    struct      GnomeDbDataWidgetFilter;
    struct      GnomeDbDataWidgetFilterClass;
    struct      GnomeDbDataWidgetFilterPriv;
    GtkWidget*  gnome_db_data_widget_filter_new (GnomeDbDataWidget *data_widget);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbDataWidgetFilter

## Implemented Interfaces

GnomeDbDataWidgetFilter implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "data-widget"          GnomeDbDataWidget    : Read / Write

## Description

## Details

### struct GnomeDbDataWidgetFilter

    struct GnomeDbDataWidgetFilter;

### struct GnomeDbDataWidgetFilterClass

    struct GnomeDbDataWidgetFilterClass {

    	GtkVBoxClass                 parent_class;
    };

### struct GnomeDbDataWidgetFilterPriv

    struct GnomeDbDataWidgetFilterPriv;

### gnome_db_data_widget_filter_new ()

    GtkWidget*  gnome_db_data_widget_filter_new (GnomeDbDataWidget *data_widget);

Creates a new GnomeDbDataWidgetFilter widget suitable to change the filter expression for `data_widget`'s displayed rows

`data_widget` : | a widget implementing the GnomeDbDataWidget interface
Returns : | the new widget

## Properties

"`data-widget`" (GnomeDbDataWidget : Read / Write) |